
Redmine - Defect #11280

Internal Server Error on a few sites since Upgrade 1.4.2 -> 1.4.3

2012-06-27 20:41 - chris thegreat

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.3

Description

Hi Guys,

I'm using redmine from debian wheezy via the package Manager apt.

Since the last aptitude upgrade and a upgrade from redmine1.4.2+dfsg1-1 -> 1.4.3+dfsg1-1 I get a lot of internal Server errors while

opening the redmine pages.

Its always possible to enter the user and password and login, but after this "Redmine 500 Error" appears.

The log says:

endering template within layouts/base

Rendering welcome/index

ActionView::TemplateError (incompatible character encodings: ASCII-8BIT and UTF-8) on line #6 of a

pp/views/news/_news.html.erb:

3: <%= "(#{l(:label_x_comments, :count => news.comments_count)})" if news.comments_count > 0 %>

4: <br />

5: <% unless news.summary.blank? %><span class="summary"><%=h news.summary %></span><br /><% end %

>

6: <span class="author"><%= authoring news.created_on, news.author %></span></p>

    app/views/news/_news.html.erb:6:in `concat'

    app/views/news/_news.html.erb:6

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `block in render'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:321:in `start

_request_handler'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:275:in `block

 in handle_spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb:479:in `safe_fork'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:270:in `handl

e_spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:180:in `start'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:149:in `start

'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn

_rails_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_ad

d'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_appl

ication'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:82:in `block in sync

hronize'

    <internal:prelude>:10:in `synchronize'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
    /usr/share/phusion-passenger/helper-scripts/passenger-spawn-server:99:in `<main>'

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

 Lets try it without my Template:

..skipping...

    /usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:438:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:87:in `dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `block in build_middleware_st

ack'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `block in call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cac

he'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in

 `call'

    /usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

    /usr/lib/ruby/vendor_ruby/rack/head.rb:9:in `call'

    /usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

    /usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/request_handler.rb:96:in `process_request'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_pro

cess_next_request'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:321:in `start

_request_handler'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:275:in `block

 in handle_spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb:479:in `safe_fork'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:270:in `handl

e_spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:180:in `start'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:149:in `start

'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn

_rails_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_ad

d'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_appl

ication'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:82:in `block in sync

hronize'

    <internal:prelude>:10:in `synchronize'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    /usr/share/phusion-passenger/helper-scripts/passenger-spawn-server:99:in `<main>'

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

 My Infos

avalance:/usr/share/redmine# RAILS_ENV=production ruby script/about
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01

.

Gem.source_index called from /usr/share/redmine/vendor/rails/railties/lib/rails/gem_dependency.rb:

21.

/usr/lib/ruby/vendor_ruby/active_support/inflector.rb:3:in `<top (required)>': iconv will be depre

cated in the future, use String#encode instead.

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.23

Rack version              1.4

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20120301153455

History

#1 - 2012-06-27 21:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

You have to use the mysql2 adapter with ruby1.9.

#2 - 2012-06-29 20:04 - chris thegreat

reported http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678515

and should be fixed soon!

Rhx
